## libnetapp1 3.5.1-0noris1

=== Makefile ===

all: unpack-tag

clean:
	rm -rf manage-ontap-sdk-3.5P1
	rm -f unpack-tag

install:
	./install.sh "$(DESTDIR)"

unpack-tag: manage-ontap-sdk-3.5P1.zip
	[ -f unpack-tag ] || unzip -x manage-ontap-sdk-3.5P1.zip
	touch unpack-tag

.PHONY: clean install

=== src/util/apitest/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for apitest
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

INCLOPTS += -I ../../../include
LINKOPTS += -L../../../lib/$(PLATFORM)
	
all: apitest

apitest: apitest.c 
	 gcc $(CFLAGS) -o apitest apitest.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f apitest

=== src/sample/C/cg_operation/Makefile ===
##############################################################
#
# $Id:$
#
# Makefile for Cg_Operation 
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: cg_operation 

cg_operation: cg_operation.c 
	 gcc $(CFLAGS) -o cg_operation cg_operation.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f cg_operation

=== src/sample/C/encrypt_string/Makefile ===
##############################################################
#
# $Id:$
#
# Makefile for encrypt_string 
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: encrypt_string 

encrypt_string: encrypt_string.c 
	 gcc $(CFLAGS) -o encrypt_string encrypt_string.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f encrypt_string

=== src/sample/C/file_snaplock/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for file_snaplock.c
#
#
# Copyright 2002-2003 Network Appliance, Inc. All rights
# reserved. Specifications subject to change without notice.
#
# This SDK sample code is provided AS IS, with no support or
# warranties of any kind, including but not limited to
# warranties of merchantability or fitness of any kind,
# expressed or implied.  This code is subject to the license
# agreement that accompanies the SDK.
#
##############################################################

include ../Makefile.common

all: clean file_snaplock

file_snaplock: file_snaplock.c
	 gcc $(CFLAGS) -o file_snaplock file_snaplock.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f file_snaplock

=== src/sample/C/flexclone/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for flexclone
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: flexclone 
	 @echo $(INCLOPTS)
	 @echo $(LINKOPTS)
	 @echo $(PLATFORM)

flexclone: flexclone.c 
	 gcc $(CFLAGS) -o flexclone flexclone.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f flexclone

=== src/sample/C/getmac/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for getmac
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: getmac

getmac: getmac.c 
	 gcc $(CFLAGS) -o getmac getmac.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f getmac

=== src/sample/C/hello_ontapi/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for hello_ontapi
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: hello_ontapi

hello_ontapi: hello_ontapi.c 
	 gcc $(CFLAGS) -o hello_ontapi hello_ontapi.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f hello_ontapi

=== src/sample/C/nfs/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for nfs.c
#
#
# Copyright 2002-2003 Network Appliance, Inc. All rights
# reserved. Specifications subject to change without notice.
#
# This SDK sample code is provided AS IS, with no support or
# warranties of any kind, including but not limited to
# warranties of merchantability or fitness of any kind,
# expressed or implied.  This code is subject to the license
# agreement that accompanies the SDK.
#
##############################################################

include ../Makefile.common

all: clean nfs

nfs: nfs.c
	 gcc $(CFLAGS) -o nfs nfs.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f nfs

=== src/sample/C/optmgmt/Makefile ===
##############################################################
#
# $Id: //depot/prod/zephyr/Rdarjeeling/src/sample/C/optmgmt/Makefile#1 $
#
# Makefile for optmgmt 
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: optmgmt 

optmgmt: optmgmt.c 
	 gcc $(CFLAGS) -o optmgmt optmgmt.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f optmgmt

=== src/sample/C/perf_operation/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for perf_operation.c
#
#
# Copyright 2002-2003 Network Appliance, Inc. All rights
# reserved. Specifications subject to change without notice.
#
# This SDK sample code is provided AS IS, with no support or
# warranties of any kind, including but not limited to
# warranties of merchantability or fitness of any kind,
# expressed or implied.  This code is subject to the license
# agreement that accompanies the SDK.
#
##############################################################

include ../Makefile.common

all: clean perf_operation

perf_operation: perf_operation.c
	 gcc $(CFLAGS) -o perf_operation perf_operation.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f perf_operation

=== src/sample/C/quotalist/Makefile ===
##############################################################
#
# $Id:$
#
# Makefile for Quotalist
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

all: quotalist 

quotalist: quotalist.c 
	 gcc $(CFLAGS) -o quotalist quotalist.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f quotalist

=== debian/changelog ===
libnetapp1 (3.5.1-0noris1) unstable; urgency=low

  * Fix CPP- and LD-flags in the .pc file.

 -- Florian Forster <octo@noris.net>  Wed, 15 Sep 2010 17:08:52 +0200

libnetapp1 (3.5.1-0noris0) unstable; urgency=low

  * Initial release

 -- Florian Forster <octo@noris.net>  Wed, 15 Sep 2010 10:33:35 +0200

=== debian/control ===
Source: libnetapp1
Priority: extra
Maintainer: Florian Forster <octo@noris.net>
Build-Depends: debhelper (>= 7.0.15), unzip
Standards-Version: 3.8.4
Section: libs
Homepage: http://communities.netapp.com/docs/DOC-1365
#Vcs-Git: git://git.debian.org/collab-maint/libnetapp1.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/libnetapp1.git;a=summary

Package: libnetapp1-dev
Section: libdevel
Architecture: any
Depends: libnetapp1 (= ${binary:Version}), libxml1-netapp-dev (= ${binary:Version}), libssl-dev
Description: Manage ONTAP[tm] SDK 3.5.1
 Debian package of the Manage ONTAP[tm] SDK 3.5.1.
 .
 This package includes development files for the "libnetapp" library.

Package: libnetapp1
Section: libs
Architecture: any
Depends: libxml1-netapp (= ${binary:Version}), libssl0.9.8
Description:  Manage ONTAP[tm] SDK 3.5.1
 Debian package of the Manage ONTAP[tm] SDK 3.5.1.
 .
 This package includes the "libnetapp" library.

Package: libxml1-netapp-dev
Section: libs
Architecture: any
Depends: 
Description: Manage ONTAP[tm] SDK 3.5.1
 Debian package of the Manage ONTAP[tm] SDK 3.5.1.
 .
 This package includes development files of the auxiliary "libxml" library.

Package: libxml1-netapp
Section: libs
Architecture: any
Depends: 
Description: Manage ONTAP[tm] SDK 3.5.1
 Debian package of the Manage ONTAP[tm] SDK 3.5.1.
 .
 This package includes the auxiliary "libxml" library.
